bin/isabelle_scala_script
changeset 52116 abf9fcfa65cf
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/isabelle_scala_script	Wed May 22 18:10:54 2013 +0200
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+#
+# Author: Makarius
+#
+# Isabelle/Scala script wrapper.
+
+if [ -L "$0" ]; then
+  TARGET="$(LC_ALL=C ls -l "$0" | sed 's/.* -> //')"
+  exec "$(cd "$(dirname "$0")"; cd "$(pwd -P)"; cd "$(dirname "$TARGET")"; pwd)/$(basename "$TARGET")" "$@"
+fi
+
+
+## settings
+
+PRG="$(basename "$0")"
+
+ISABELLE_HOME="$(cd "$(dirname "$0")"; cd "$(pwd -P)"; cd ..; pwd)"
+source "$ISABELLE_HOME/lib/scripts/getsettings" || exit 2
+
+
+## main
+
+exec "$ISABELLE_TOOL" scala -howtorun:script -nocompdaemon "$@"
+